Index: /branches/UKMO/dev_r5518_medusa_chg_trc_bio_medusa/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcbio_medusa.F90
===================================================================
--- /branches/UKMO/dev_r5518_medusa_chg_trc_bio_medusa/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcbio_medusa.F90	(revision 7985)
+++ /branches/UKMO/dev_r5518_medusa_chg_trc_bio_medusa/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcbio_medusa.F90	(revision 7986)
@@ -102,4 +102,5 @@
       USE plankton_mod,               ONLY: plankton
       USE iron_chem_scav_mod,         ONLY: iron_chem_scav
+      USE detritus_mod,               ONLY: detritus
       USE bio_medusa_diag_slice_mod,  ONLY: bio_medusa_diag_slice
       USE bio_medusa_fin_mod,         ONLY: bio_medusa_fin
@@ -177,5 +178,5 @@
       !!
       !! integrated source and sink terms
-      REAL(wp) ::    b0
+!      REAL(wp) ::    b0
       !! AXY (23/08/13): changed from individual variables for each flux to
       !!                 an array that holds all fluxes
@@ -238,5 +239,5 @@
 # endif
 !      REAL(wp), DIMENSION(jpi,jpj) ::    fdpn2,fdpd2,fdpds2,fdzmi2,fdzme2
-      REAL(wp), DIMENSION(jpi,jpj) ::    fslown, fslowc
+!      REAL(wp), DIMENSION(jpi,jpj) ::    fslown, fslowc
 !      REAL(wp), DIMENSION(jpi,jpj) ::    fslownflux, fslowcflux
       REAL(wp), DIMENSION(jpi,jpj) ::    fregen,fregensi
@@ -264,5 +265,5 @@
 ! I don't think ffast2slowfe is used - marc 10/4/17
 !      REAL(wp), DIMENSION(jpi,jpj) ::    ffast2slown,ffast2slowfe,ffast2slowc
-      REAL(wp), DIMENSION(jpi,jpj) ::    ffast2slown,ffast2slowc
+!      REAL(wp), DIMENSION(jpi,jpj) ::    ffast2slown,ffast2slowc
       !!
       !! conservation law
@@ -852,90 +853,4 @@
          CALL plankton( jk )
 
-! Detritus process - marc
-
-         DO jj = 2,jpjm1
-         DO ji = 2,jpim1
-            !! OPEN wet point IF..THEN loop
-            if (tmask(ji,jj,jk) == 1) then
-
-               !!----------------------------------------------------------------------
-               !! Detritus remineralisation
-               !! Constant or temperature-dependent
-               !!----------------------------------------------------------------------
-               !!
-               if (jmd.eq.1) then
-                  !! temperature-dependent
-                  fdd(ji,jj)  = xmd  * fun_T(ji,jj) * zdet(ji,jj)
-# if defined key_roam
-                  fddc(ji,jj) = xmdc * fun_T(ji,jj) * zdtc(ji,jj)
-# endif
-               elseif (jmd.eq.2) then
-                  !! AXY (16/05/13): add in Q10-based parameterisation (def in nmlst)
-                  !! temperature-dependent
-                  fdd(ji,jj)  = xmd  * fun_Q10(ji,jj) * zdet(ji,jj)
-#if defined key_roam
-                  fddc(ji,jj) = xmdc * fun_Q10(ji,jj) * zdtc(ji,jj)
-#endif
-               else
-                  !! temperature-independent
-                  fdd(ji,jj)  = xmd  * zdet(ji,jj)
-# if defined key_roam
-                  fddc(ji,jj) = xmdc * zdtc(ji,jj)
-# endif
-               endif
-               !!
-               !! AXY (22/07/09): accelerate detrital remineralisation in the bottom box
-               if ((jk.eq.mbathy(ji,jj)) .and. jsfd.eq.1) then
-                  fdd(ji,jj)  = 1.0  * zdet(ji,jj)
-# if defined key_roam
-                  fddc(ji,jj) = 1.0  * zdtc(ji,jj)
-# endif
-               endif
-               
-# if defined key_debug_medusa
-               !! report plankton mortality and remineralisation
-               if (idf.eq.1.AND.idfval.eq.1) then
-                  IF (lwp) write (numout,*) '------------------------------'
-                  IF (lwp) write (numout,*) 'fdpn2(',jk,') = ', fdpn2(ji,jj)
-                  IF (lwp) write (numout,*) 'fdpd2(',jk,') = ', fdpd2(ji,jj)
-                  IF (lwp) write (numout,*) 'fdpds2(',jk,')= ', fdpds2(ji,jj)
-                  IF (lwp) write (numout,*) 'fdzmi2(',jk,')= ', fdzmi2(ji,jj)
-                  IF (lwp) write (numout,*) 'fdzme2(',jk,')= ', fdzme2(ji,jj)
-                  IF (lwp) write (numout,*) 'fdpn(',jk,')  = ', fdpn(ji,jj)
-                  IF (lwp) write (numout,*) 'fdpd(',jk,')  = ', fdpd(ji,jj)
-                  IF (lwp) write (numout,*) 'fdpds(',jk,') = ', fdpds(ji,jj)
-                  IF (lwp) write (numout,*) 'fdzmi(',jk,') = ', fdzmi(ji,jj)
-                  IF (lwp) write (numout,*) 'fdzme(',jk,') = ', fdzme(ji,jj)
-                  IF (lwp) write (numout,*) 'fdd(',jk,')   = ', fdd(ji,jj)
-#  if defined key_roam
-                  IF (lwp) write (numout,*) 'fddc(',jk,')  = ', fddc(ji,jj)
-#  endif
-               endif
-# endif
-
-               !!----------------------------------------------------------------------
-               !! Detritus addition to benthos
-               !! If activated, slow detritus in the bottom box will enter the
-               !! benthic pool
-               !!----------------------------------------------------------------------
-               !!
-               if ((jk.eq.mbathy(ji,jj)) .and. jorgben.eq.1) then
-                  !! this is the BOTTOM OCEAN BOX -> into the benthic pool!
-                  !!
-                  f_sbenin_n(ji,jj)  = (zdet(ji,jj) * vsed * 86400.)
-                  f_sbenin_fe(ji,jj) = (zdet(ji,jj) * vsed * 86400. * xrfn)
-# if defined key_roam
-                  f_sbenin_c(ji,jj)  = (zdtc(ji,jj) * vsed * 86400.)
-# else
-                  f_sbenin_c(ji,jj)  = (zdet(ji,jj) * vsed * 86400. * xthetad)
-# endif
-               endif
-
-! MAYBE BUT A BREAK IN HERE, IRON CHEMISTRY AND SCAVENGING - marc 20/4/17 
-! (detritus processes is 74 lines)
-            ENDIF
-         ENDDO
-         ENDDO
-
          !!----------------------------------------------------------------
          !! Iron chemistry and scavenging
